# Get location tags (Deprecated) (deprecated)

**Deprecated:** Use `GET /api/v2/companies/{company_id}/tags?entity={entity}` instead.
Returns tags for the specified entity type.
The `entity` parameter accepts string aliases:
- `common` - common tags
- `client` - client tags
- `record` - appointment/record tags
- `activity` - activity/event tags

> **Legacy support:** Numeric values (`0`, `1`, `2`, `3`) are also accepted but string aliases are preferred.

Endpoint: GET /labels/{location_id}/{entity}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (integer, required)
    Location ID

  - `entity` (string, required)
    Tag type alias

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status

  - `data` (array)
    Array of tag objects

  - `data.id` (string)
    Tag ID

  - `data.salon_id` (string)
    Location ID

  - `data.title` (string)
    Tag name

  - `data.color` (string)
    Tag color in #RRGGBB format

  - `data.icon` (string)
    Icon name

  - `data.slug` (string | null)
    Tag slug; `null` when not set

  - `data.entity` (string)
    Tag type (1 - client, 2 - appointment, 3 - event)

  - `data.deleted` (string)
    Delete mark (0 - active, 1 - deleted)

  - `data.not_editable` (string)
    Whether tag changes are allowed (0 - allowed, 1 - not allowed)

  - `data.font_color` (string)
    Font color in #RRGGBB format

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

